aboutsummaryrefslogtreecommitdiff
path: root/recipes/eglibc/eglibc_svn.bb
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/eglibc/eglibc_svn.bb')
-rw-r--r--recipes/eglibc/eglibc_svn.bb7
1 files changed, 3 insertions, 4 deletions
diff --git a/recipes/eglibc/eglibc_svn.bb b/recipes/eglibc/eglibc_svn.bb
index df2f0fc..208780f 100644
--- a/recipes/eglibc/eglibc_svn.bb
+++ b/recipes/eglibc/eglibc_svn.bb
@@ -68,13 +68,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \